/* Copyright (c) 2002 Bruce Spencer, National Research Council, Canada */
import java.io.*;
import java.util.*;

/**
   Describe class <code>BUDCTree</code> here.

   @author Bruce Spencer <Bruce.Spencer@nrc.ca>
   @version 
*/
public class TestGrounding{

  static SymbolTable symbolTable = new SymbolTable();
  static DiscTree oldFactDiscTree = new DiscTree(symbolTable);
  static DiscTree newRuleDiscTree = new DiscTree(symbolTable);
  static Heap newFactHeap = new Heap();

  public static void main(String args[]){


    DCFileParser dcfp = new DCFileParser(symbolTable);
    try{
      DefiniteClause c1 = dcfp.parseDefiniteClause
      	("p(f(X), g(X)).");
      DefiniteClause c2 = dcfp.parseDefiniteClause
      	("p(f(Y), g(Z)).");
      Unifier u1 = new Unifier(c2, Unifier.GROUNDING_MODE);
      if(u1.unified){
      	System.out.println("Ground c1");
	Unifier u2 = new Unifier(c1,0,0,u1,Unifier.ONEWAY_MODE);
	if(u2.unified){
	  System.out.println("c1 subsumes c2");
	}
	else {
	  System.out.println("c1 does not subsume c2");
	}
      }
    }
    catch(ParseException e){
      e.printStackTrace();
    }
  }
}
