/* Copyright (c) 2002 Bruce Spencer, National Research Council, Canada */
import java.io.*;
import java.util.*;

/**
   Describe class <code>BUDCTree</code> here.

   @author Bruce Spencer <Bruce.Spencer@nrc.ca>
   @version 
*/
public class TestResolve{

  static SymbolTable symbolTable = new SymbolTable();
  static DiscTree oldFactDiscTree = new DiscTree(symbolTable);
  static DiscTree newRuleDiscTree = new DiscTree(symbolTable);
  static Heap newFactHeap = new Heap();

  public static void main(String args[]){


    DCFileParser dcfp = new DCFileParser(symbolTable);
    try{
      DefiniteClause rule = dcfp.parseDefiniteClause
      	("add(s(X0),Y1,s(Z2)):-add(X0,Y1,Z2).");
      DefiniteClause fact = dcfp.parseDefiniteClause
      	("add(s(s(0)),M,s(s(M))).");
      Unifier u = new Unifier(rule, fact);
      if(u.unified){
      	DefiniteClause newResult = u.resolvent();
      	System.out.println("new resolvent " + newResult);
      }
    }
    catch(ParseException e){
      e.printStackTrace();
    }
  }
}
